/borrower/{borrower_id}/repayment-methods

Add and/or choose the repayment method for borrower.

If payment method is "DIRECT_DEBIT" then the account parameter must not be null.

If is_default_repayment_method is true, then the repayment method becomes the borrower's default
repayment method so that upcmoing loan requests will use this payment method and account as a default.




Please note: that the account defined in the loan_to attribute of created loans is left
unchanged. If you want to change the destination account of a loan, you must cancel it and
request a new loan.

If apply_to_all_active_loans is true, then the repayment method is used for upcoming payments of
all loans that are in TO_REPAY or TO_REPAY_FEES statuses.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
boolean
required

Use this account to repay active loans.

from_account
object | null

Account information required if payment_method is DIRECT_DEBIT.

boolean
required

Use this account by default for new loans repayment.

string | null
Defaults to null

Arbitrary name for this repayment method.

string
enum
required

Payment method for the repayment account. Possible values: ['DIRECT_DEBIT', 'SCT']

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*